package be.iminds.ilabt.jfed.testing.shared;

import javax.annotation.Nonnull;
import java.io.File;

/**
 * AutomatedTestExternalExecutableLocations
 */
public interface AutomatedTestExternalExecutableLocations {
    public static class ExecutableNotFoundException extends Exception {
        public ExecutableNotFoundException(String s) { super(s); }
    }

    @Nonnull File getExe(@Nonnull String exeName);
    void requireExe(@Nonnull String exeName) throws ExecutableNotFoundException;
}
